using Exam.Infrastructure.Data.Entity;
using Exam.Infrastructure.Data.Interface;
using Exam.Infrastructure.Enums;
using Hotline.Share.Exams.Interface;
using System.ComponentModel;

namespace Hotline.Share.Dtos.Questions
{
    /// <summary>
    /// 关联知识
    /// </summary>
    [Description("关联知识")]
    public class PracticeQuestionKnowladgeDto: UpdatePracticeQuestionKnowladgeDto
    {
        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        public string Title { get; set; }
    }

    /// <summary>
    /// 关联知识
    /// </summary>
    [Description("关联知识")]
    public class AddPracticeQuestionKnowladgeDto : IAddRequest,IOperationStatus
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 知识Id
        /// </summary>
        [Description("知识Id")]
        public string KnowladgeId { get; set; }

        /// <summary>
        /// 操作状态        
        /// </summary>
        [Description("操作状态")]
        public EEOperationStatus OperationStatus { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [Description("标题")]
        public string Title { get; set; }

    }

    /// <summary>
    /// 关联知识
    /// </summary>
    [Description("关联知识")]
    public class UpdatePracticeQuestionKnowladgeDto : AddPracticeQuestionKnowladgeDto, IActionRequest
    {
        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]
        public string Id { get; set; }
    }
}
